> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get thread

> Get thread information for a workspace thread. Supports both mailbox (email)
threads and mailbox-less (LinkedIn-only) threads created through multichannel
sequence execution.



## OpenAPI

````yaml https://api.salesforge.ai/public/v2/swagger/doc.json get /workspaces/{workspaceID}/threads/{threadID}
openapi: 3.1.0
info:
  description: Get mailboxes associated with the workspace.
  termsOfService: https://www.salesforge.ai/terms
  title: Salesforge API
  version: '2.0'
servers:
  - url: https://api.salesforge.ai/public/v2
security:
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /workspaces/{workspaceID}/threads/{threadID}:
    get:
      tags:
        - threads
      summary: Get thread
      description: >-
        Get thread information for a workspace thread. Supports both mailbox
        (email)

        threads and mailbox-less (LinkedIn-only) threads created through
        multichannel

        sequence execution.
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Thread ID
          in: path
          name: threadID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ThreadResponse'
          description: Thread
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Thread Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.ThreadResponse:
      properties:
        contact:
          $ref: '#/components/schemas/api.ThreadContactResponse'
        emails:
          items:
            $ref: '#/components/schemas/api.ThreadEmailResponse'
          type: array
          uniqueItems: false
        linkedinMessages:
          items:
            $ref: '#/components/schemas/api.ThreadLinkedinMessageResponse'
          type: array
          uniqueItems: false
        sequence:
          $ref: '#/components/schemas/api.ThreadSequenceResponse'
      type: object
    errors.Error:
      allOf:
        - $ref: '#/components/schemas/data'
      properties:
        data: {}
        message:
          type: string
      type: object
    api.ThreadContactResponse:
      properties:
        company:
          type: string
        email:
          type: string
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        linkedinUrl:
          type: string
      type: object
    api.ThreadEmailResponse:
      properties:
        attachments:
          items:
            $ref: '#/components/schemas/api.ThreadEmailAttachmentMetaResponse'
          type: array
          uniqueItems: false
        bccs:
          items:
            $ref: '#/components/schemas/models.MailboxContact'
          type: array
          uniqueItems: false
        ccs:
          items:
            $ref: '#/components/schemas/models.MailboxContact'
          type: array
          uniqueItems: false
        content:
          type: string
        date:
          type: string
        emailId:
          type: string
        fromAddress:
          type: string
        id:
          type: string
        subject:
          type: string
        toAddress:
          type: string
        tos:
          items:
            $ref: '#/components/schemas/models.MailboxContact'
          type: array
          uniqueItems: false
        type:
          type: string
      type: object
    api.ThreadLinkedinMessageResponse:
      properties:
        accountId:
          type: integer
        attachments:
          items:
            $ref: '#/components/schemas/api.ThreadLinkedinAttachmentResponse'
          type: array
          uniqueItems: false
        date:
          type: string
        direction:
          $ref: '#/components/schemas/models.MultichannelLinkedinMessageDirection'
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        linkedinUrl:
          type: string
        message:
          type: string
        profilePictureUrl:
          type: string
        subject:
          type: string
      type: object
    api.ThreadSequenceResponse:
      properties:
        id:
          type: string
        name:
          type: string
        product:
          $ref: '#/components/schemas/api.ProductResponse'
        status:
          $ref: '#/components/schemas/models.SequenceStatus'
      type: object
    data:
      properties:
        data:
          items:
            $ref: '#/components/schemas/api.DNCResponse'
          type: array
      type: object
    api.ThreadEmailAttachmentMetaResponse:
      properties:
        contentId:
          type: string
        contentType:
          type: string
        embedded:
          type: boolean
        filename:
          type: string
        id:
          type: string
        inline:
          type: boolean
        size:
          type: integer
      type: object
    models.MailboxContact:
      properties:
        email:
          type: string
        name:
          type: string
      type: object
    api.ThreadLinkedinAttachmentResponse:
      properties:
        contentType:
          type: string
        filename:
          type: string
        id:
          type: string
        size:
          type: integer
        type:
          type: string
        url:
          type: string
      type: object
    models.MultichannelLinkedinMessageDirection:
      enum:
        - inbound
        - outbound
      type: string
      x-enum-varnames:
        - MultichannelLinkedinMessageDirectionInbound
        - MultichannelLinkedinMessageDirectionOutbound
    api.ProductResponse:
      properties:
        id:
          type: string
        internalName:
          type: string
        translations:
          items:
            $ref: '#/components/schemas/api.ProductTranslationResponse'
          type: array
          uniqueItems: false
      type: object
    models.SequenceStatus:
      enum:
        - active
        - draft
        - paused
        - deleted
        - completed
        - video_pending
        - active
        - paused
      type: string
      x-enum-varnames:
        - SequenceStatusActive
        - SequenceStatusDraft
        - SequenceStatusPaused
        - SequenceStatusDeleted
        - SequenceStatusCompleted
        - SequenceStatusVideoPending
    api.DNCResponse:
      properties:
        createdAt:
          type: string
        type:
          $ref: '#/components/schemas/models.DncType'
        value:
          type: string
      type: object
    api.ProductTranslationResponse:
      properties:
        costOfInaction:
          type: string
        idealCustomerProfile:
          type: string
        industry:
          type: string
        language:
          $ref: '#/components/schemas/models.Language'
        name:
          type: string
        pain:
          type: string
        proofPoints:
          type: string
        solution:
          type: string
      type: object
    models.DncType:
      enum:
        - email
        - domain
        - linkedin
      type: string
      x-enum-varnames:
        - DncTypeEmail
        - DncTypeDomain
        - DncTypeLinkedin
    models.Language:
      enum:
        - russian
        - ukrainian
        - finnish
        - american_english
        - british_english
        - french
        - spanish
        - polish
        - romanian
        - german
        - lithuanian
        - dutch
        - latvian
        - italian
        - czech
        - hungarian
        - japanese
        - brazilian_portugese
        - swedish
        - danish
        - norwegian
        - estonian
      type: string
      x-enum-varnames:
        - LanguageRussian
        - LanguageUkrainian
        - LanguageFinnish
        - LanguageAmericanEnglish
        - LanguageBritishEnglish
        - LanguageFrench
        - LanguageSpanish
        - LanguagePolish
        - LanguageRomanian
        - LanguageGerman
        - LanguageLithuanian
        - LanguageDutch
        - LanguageLatvian
        - LanguageItalian
        - LanguageCzech
        - LanguageHungarian
        - LanguageJapanese
        - LanguageBrazilianPortugese
        - LanguageSwedish
        - LanguageDanish
        - LanguageNorwegian
        - LanguageEstonian
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````